<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/grey_background"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="5dp"
        card_view:cardBackgroundColor="@color/white"
        card_view:cardCornerRadius="5dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="1dp"
            android:background="@drawable/rouded_corner_white"
            android:orientation="vertical">

            <TextView
                android:id="@+id/lblListItem"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:padding="5dp"
                android:text="Brand Name - Sku Name"
                android:textColor="@color/black"
                android:textSize="@dimen/txt_size_12sp" />

            <LinearLayout
                android:id="@+id/rl_stock_entry"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin_small"
                android:orientation="horizontal"
                android:weightSum="10">

                <Button
                    android:id="@+id/stock_img_minus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="4"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="-"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_25dp" />

                <TextView
                    android:id="@+id/ed_Stock"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    android:background="@color/white"
                    android:gravity="center"
                    android:padding="4dp"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="normal"
                    android:visibility="gone"/>

                <EditText
                    android:id="@+id/et_stock"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    android:background="@color/white"
                    android:gravity="center"
                    android:padding="4dp"
                    android:digits="0123456789"
                    android:inputType="number"
                    android:maxLength="4"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/stock_img_plus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="4"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="+"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_25dp" />


            </LinearLayout>

            <LinearLayout
                android:visibility="gone"
                android:id="@+id/reason_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:orientation="horizontal"
                android:weightSum="10">

                <Spinner
                    android:id="@+id/reason_spinner"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="10"
                    android:background="@android:color/transparent"
                    android:textColor="@color/black" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="2dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:id="@+id/mrp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColor="@color/black" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/rl_stock_received"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                android:orientation="horizontal"
                android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:id="@+id/sku_text_recieved"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="5"
                    android:padding="10dp"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />


                <TextView
                    android:id="@+id/pos_stock"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="center"
                    android:padding="4dp"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_xsmall"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/pos_stock_img_plus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1.5"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="+"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_25dp" />

                <TextView
                    android:id="@+id/pos_stock_text_value"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="center"
                    android:padding="4dp"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_xsmall"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/pos_stock_img_minus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1.5"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:text="-"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_25dp" />

            </LinearLayout>


        </LinearLayout>

    </androidx.cardview.widget.CardView>

</LinearLayout>